Webhooks / REST API

List webhook endpoints

List outbound webhook endpoints in the workspace, including subscriptions, filters, status, health, and recent delivery state. Secrets are never returned.

GET /api/v1/webhook-endpointsDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
Request example
curl -X GET "https://app.pipeline.help/api/v1/webhook-endpoints" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "format": "uuid"
    }
  }
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview